# IceGrid::ServerState

## Overview

### enum ServerState

An enumeration representing the state of the server.

#### Used By

Admin::getServerState
ServerDynamicInfo::state

## Enumerators

Inactive

  The server is not running.

Activating

  The server is being activated and will change to the active state when the registered server object adapters are activated or to the activation timed out state if the activation timeout expires.

ActivationTimedOut

  The activation timed out state indicates that the server activation timed out.

Active

  The server is running.

Deactivating

  The server is being deactivated.

Destroying

  The server is being destroyed.

Destroyed

  The server is destroyed.